List project-contained Work Orders
Lists public API Work Orders that are contained in Projects. Standalone internal auto-project fallback is not exposed. Supply externalSystem, externalObject, and externalId together to filter by a canonical External Reference. Required scope: work_orders:read.
Lists public API Work Orders that are contained in Projects. Standalone internal auto-project fallback is not exposed. Supply externalSystem, externalObject, and externalId together to filter by a canonical External Reference. Required scope: work_orders:read.
Organization API key. Format: Bearer sk_live_...
In: header
Query Parameters
Maximum records to return. Defaults to 50 and is capped at 100.
1 <= value <= 10050Opaque record cursor from the previous response meta.nextCursor value.
Sort direction. Defaults to desc.
"desc"Value in
- "asc"
- "desc"
Filter by containing Project id.
Filter by Work Type id.
Filter by Work Order status.
Value in
- "NOT_READY_TO_SCHEDULE"
- "READY_TO_SCHEDULE"
- "SCHEDULED"
- "IN_PROGRESS"
- "COMPLETED"
- "CANCELED"
External Reference system filter. Supply with externalObject and externalId for exact reconciliation lookup.
External Reference object filter. Supply with externalSystem and externalId.
External Reference id filter. Supply with externalSystem and externalObject.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/work-orders"{ "data": [ {} ], "meta": { "nextCursor": "string", "hasMore": true, "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}